Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:52 2009

## Asterisk developer's documentation

# sip_user Struct Reference

Structure for SIP user data. User's place calls to us. More...

Collaboration diagram for sip_user:

[legend]

## Public Member Functions

| ASTOBJ_COMPONENTS (struct sip_user)

## Data Fields

char | accountcode [AST_MAX_ACCOUNT_CODE]
int | amaflags
int | call_limit
ast_group_t | callgroup
int | callingpres
int | capability
struct ast_variable * | chanvars
char | cid_name [80]
char | cid_num [80]
char | context [AST_MAX_CONTEXT]
unsigned int | flags
struct ast_flags | flags_page2
struct ast_ha * | ha
int | inUse
char | language [MAX_LANGUAGE]
char | md5secret [80]
char | musicclass [MAX_MUSICCLASS]
ast_group_t | pickupgroup
struct ast_codec_pref | prefs
char | secret [80]
unsigned int | sipoptions
char | subscribecontext [AST_MAX_CONTEXT]
char | useragent [256]

## Detailed Description

Structure for SIP user data. User's place calls to us.

Definition at line 722 of file chan_sip.c.

## Member Function Documentation

ASTOBJ_COMPONENTS | ( | struct | sip_user | ) |

## Field Documentation

char accountcode[AST_MAX_ACCOUNT_CODE]

Definition at line 731 of file chan_sip.c.

Referenced by build_user(), check_user_full(), and sip_show_user().

int amaflags

AMA flags for billing

Definition at line 741 of file chan_sip.c.

Referenced by build_user(), check_user_full(), and sip_show_user().

int call_limit

Limit of concurrent calls

Definition at line 745 of file chan_sip.c.

Referenced by build_user(), check_user_full(), sip_show_user(), and update_call_counter().

ast_group_t callgroup

Call group

Definition at line 736 of file chan_sip.c.

Referenced by build_user(), check_user_full(), and sip_show_user().

int callingpres

Calling id presentation

Definition at line 742 of file chan_sip.c.

Referenced by build_user(), check_user_full(), and sip_show_user().

int capability

Codec capability

Definition at line 743 of file chan_sip.c.

Referenced by build_user(), and check_user_full().

struct ast_variable* chanvars`[read]`

Variables to set for channel created by user

Definition at line 747 of file chan_sip.c.

Referenced by build_user(), check_user_full(), sip_destroy_user(), and sip_show_user().

char cid_name[80]

Caller ID name

Definition at line 730 of file chan_sip.c.

Referenced by build_user(), check_user_full(), and sip_show_user().

char cid_num[80]

Caller ID num

Definition at line 729 of file chan_sip.c.

Referenced by build_user(), check_user_full(), and sip_show_user().

char context[AST_MAX_CONTEXT]

Default context for incoming calls

Definition at line 727 of file chan_sip.c.

Referenced by build_user(), check_user_full(), and sip_show_user().

unsigned int flags

SIP flags

Definition at line 738 of file chan_sip.c.

struct ast_flags flags_page2`[read]`

SIP_PAGE2 flags

Definition at line 740 of file chan_sip.c.

Referenced by realtime_user(), and sip_prune_realtime().

struct ast_ha* ha`[read]`

ACL setting

Definition at line 746 of file chan_sip.c.

Referenced by build_user(), check_user_full(), sip_destroy_user(), and sip_show_user().

int inUse

Number of calls in use

Definition at line 744 of file chan_sip.c.

Referenced by update_call_counter().

char language[MAX_LANGUAGE]

Default language for this user

Definition at line 732 of file chan_sip.c.

Referenced by build_user(), check_user_full(), and sip_show_user().

char md5secret[80]

Password in md5

Definition at line 726 of file chan_sip.c.

Referenced by build_user(), check_user_full(), and sip_show_user().

char musicclass[MAX_MUSICCLASS]

Music on Hold class

Definition at line 733 of file chan_sip.c.

Referenced by build_user(), and check_user_full().

ast_group_t pickupgroup

Pickup Group

Definition at line 737 of file chan_sip.c.

Referenced by build_user(), check_user_full(), and sip_show_user().

struct ast_codec_pref prefs`[read]`

codec prefs

Definition at line 735 of file chan_sip.c.

Referenced by build_user(), check_user_full(), and sip_show_user().

char secret[80]

Password

Definition at line 725 of file chan_sip.c.

Referenced by build_user(), check_user_full(), and sip_show_user().

unsigned int sipoptions

Supported SIP options

Definition at line 739 of file chan_sip.c.

Referenced by check_user_full().

char subscribecontext[AST_MAX_CONTEXT]

Definition at line 728 of file chan_sip.c.

Referenced by build_user(), and check_user_full().

char useragent[256]

User agent in SIP request

Definition at line 734 of file chan_sip.c.

The documentation for this struct was generated from the following file:

- chan_sip.c